﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.SilverlightEdition;
using ThinkGeo.MapSuite.Core;

namespace Post5715.Web
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                SilverlightMapConnector1.MapUnit = GeographyUnit.DecimalDegree;
                ServerLayerOverlay serverLayerOverlay = new ServerLayerOverlay("ServerLayerOverlay");

                Jpeg2000RasterLayer rasterLayer = new Jpeg2000RasterLayer(MapPath("app_data/globe.jp2"), new RectangleShape(-180, 90, 180, -90));
                serverLayerOverlay.Layers.Add(rasterLayer);

                SilverlightMapConnector1.ServerLayerOverlays.Add(serverLayerOverlay);
            }
        }
    }
}
