﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using ThinkGeo.MapSuite.SilverlightEdition;
using System.Windows.Threading;

namespace Post5715
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler(Page_Loaded);
        }

        void Page_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.DecimalDegree;
            Map1.Background = new SolidColorBrush(Color.FromArgb(255, 156, 187, 216));

            ServerLayerOverlay serverLayerOverlay = new ServerLayerOverlay("ServerLayerOverlay", "SilverlightMapConnector1");
            Map1.Overlays.Add(serverLayerOverlay);

            Map1.CurrentExtent = new RectangleShape(-131.22, 55.05, -54.03, 16.91);
        }
    }
}
